extends AnimatedSprite



var flask = preload("res://objects/objects/flask/Flask.tscn")

enum dir {
	UP = 90,
	DOWN = 270,
	LEFT = 180,
	RIGHT = 0
}

var direction = dir.DOWN



func _on_SpawnTimer_timeout():
	var newflask = flask.instance()
	newflask.angle = deg2rad(direction)
	newflask.position.x = 0
	newflask.position.y = 0
	#print(newflask.position)
	add_child(newflask)
